Opis skrócony przypadków użycia
===============================

Aktorzy procesu i ich cele
--------------------------

Aktor                                        | Cel
                                            -|-
Klient                                       | Zakup produktu
Pracownik obsługi                            | Przygotowanie do pracy
System wykrywania usterek i wzywania serwisu | Naprawianie występujących usterek
Analityk                                     | Zebranie informacji dotyczących sprzedaży

//zamawianie, przywoływanie obsługi serwisowej (ciepłe posiłki), informowanie magazynu o brakach

Słownik
-------

Hasło                  | Opis
                      -|-
Realizacja płatności   | dokonanie zapłaty kartą lub gotówką i wszystkie czynności z tym związane
Autoryzowany dostęp    | dostęp do funkcji automatu normalnie ukrytych przed użytkownikiem
System obsługi usterek | zewnętrzny system przyjmujący wezwania o usterkach i wysyłający serwisantów

Przypadki użycia
----------------

### Use case 1: Zakup produktu
Klient przychodzi do automatu celem zakupu produktu. Klient używa interfejsu automatu do wybrania produktu. System wyświetla cenę produktu. Klient wprowadza informacje o sposobie realizacji płatności, które są weryfikowane i zapisywane przez system. System realizuje płatność. System uaktualnia swój stan wiedzy o ilości produktów. System przygotowuje i wydaje produkt. Klient odbiera produkt.

### Use case 2: Przygotowanie do pracy
Pracownik obsługi przychodzi do automatu w celu przygotowania automatu do pracy. Po otrzymaniu autoryzowanego dostępu do automatu pracownik obsługi  uzupełnia braki towaru i zabiera nadmiar gotówki. Pracownik obsługi potwierdza wykonanie czynności i wychodzi z autoryzowanego dostępu.

#### Naprawienie usterki
System wykrywania usterek i wzywania serwisu wykrywa usterkę w działaniu automatu. System zbiera potrzebne informacje o usterce i automacie. System kontaktuje zewnętrzny system obsługi usterek i podaje mu potrzebne informacje. ( przypadek użycia miał być w jednym miejscu i czsie więc kończę w tym miejscu )

//#### Zebranie informacji dotyczących sprzedaży
//